---
search:
  tags:
    - memory
    - GET
seo:
  description: >-
    List memory. Reference for the GET /workspaces/{organizationId}/memory
    endpoint in the Pile API.
sidebar:
  label: List memory
  badge: GET
title: List memory
type: openapi-operation
---
`GET /workspaces/{organizationId}/memory`

**Responses**

- `200` — Workspace memory facts

Response example, 200:

```json
{
  "memories": [
    {
      "id": "string",
      "entityType": "string",
      "entityId": "string",
      "kind": "string",
      "fact": "string",
      "sourceSessionId": "string",
      "sourceAgentSlug": "string",
      "validUntil": "string",
      "createdAt": "string"
    }
  ]
}
```
